<?php
 ini_set('display_errors',1);
session_start();
date_default_timezone_set('America/Lima');
require_once ("../../config/Cado.php");
require_once ("cCajagestion.php");
$oCajagestion = new cCajagestion();

require_once("../formatos/formato.php");


$fec = date("d-m-Y");



if($_POST['action']=="insertar")
{
	if(!empty($_POST['txt_cajges_efe']) and !empty($_POST['hdd_cajges_tip']))
	{	
		
		$oCajagestion->insertar(
			fecha_mysql($fec),
			$_POST['hdd_cajges_tip'],
			moneda_mysql($_POST['txt_cajges_efe']),
			moneda_mysql($_POST['txt_cajges_tra']),
			moneda_mysql($_POST['txt_cajges_yap']),
			moneda_mysql($_POST['txt_cajges_pli']),
			$_SESSION["usuario_id"]
		);
		
			
		$data['cajges_msj']='Se registró correctamente.';
	}
	else
	{
		$data['cajges_msj']='Intentelo nuevamente.';
	}
	echo json_encode($data);
}



if($_POST['action']=="editar")
{
	if(!empty($_POST['txt_ing_fec']))
	{
		
		$oIngreso->modificar(
			$_POST['hdd_ing_id'],
			$_POST['hdd_ing_usumod'],
			fecha_mysql($_POST['txt_ing_fec']),
			intval($_POST['cmb_doc_id']),
			$_POST['txt_ing_numdoc'],
			$_POST['txt_ing_det'],
			moneda_mysql($_POST['txt_ing_imp']),
			intval('1'),
			intval($_POST['cmb_cue_id']),
			intval($_POST['cmb_subcue_id']),
			$_POST['cmb_caja_id']
		);
		
		$data['ing_msj']='Se modifico ingreso correctamente.';
		
	}
	else
	{
		$data['ing_msj']='Intentelo nuevamente.';
	}
	echo json_encode($data);
}


if($_POST['action']=="eliminar")
{
	if(!empty($_POST['ing_id']))
	{
			$oIngreso->modificar_campo($_POST['ing_id'],$_SESSION['usuario_id'],'xac','0');
			echo 'El ingreso se elimino correctamente correctamente.';
	}
	else
	{
		echo 'Intentelo nuevamente.';
	}
}
?>